<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.NoticePushRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="noticePushRecordResultMap" type="org.springblade.estate.entity.NoticePushRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="notice_id" property="noticeId"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="agency_name" property="agencyName"/>
        <result column="residential_name" property="residentialName"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectNoticePushRecordPage" resultMap="noticePushRecordResultMap">
        select * from estate_notice_push_record where is_deleted = 0
    </select>

    <delete id="deleteByCondition" >
		delete from estate_notice_push_record
		<where> 1 = 1
            <if test="id != null">
                AND id = #{id}
            </if>
            <if test="noticeId != null">
                AND notice_id = #{noticeId}
            </if>
            <if test="agencyId != null">
                AND agency_id = #{agencyId}
            </if>
            <if test="residentialId != null">
                AND residential_id = #{residentialId}
            </if>
        </where>
	</delete>

</mapper>
